package com.biganto.visual.roompark.data.repository.db.requrey.model

import com.biganto.visual.roompark.data.repository.db.requrey.TitledPhoto
import com.biganto.visual.roompark.data.repository.db.requrey.utils.TitledPhotoListConverter
import io.requery.*
import java.util.*

/**
 * Created by Vladislav Bogdashkin on 29.10.2019.
 */


@Entity
interface Article : Persistable {
    @get:Key
    val id:Int
    val published : Date
    val title : String
    @get:Nullable
    val announce : String?
    @get:Nullable
    val preview : String?
    @get:Nullable
    val body : String?
    @get:ForeignKey(references = Feed::class, referencedColumn = "alias")
    @get:ManyToOne(cascade = [CascadeAction.NONE])
    val feed : Feed?
    @get:Convert(TitledPhotoListConverter::class)
    var photo : List<TitledPhoto>?
}