package com.biganto.visual.roompark.domain.interactor

import com.biganto.visual.roompark.domain.model.*
import com.biganto.visual.roompark.domain.use_case.DealseUseCase
import io.reactivex.Observable
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 09.10.2019.
 */

class DealsInteractor @Inject constructor(
    val useCase:DealseUseCase
){

    fun fetchDeals() = useCase.getDeals()
//        Single.just(arrayListOf(dealFlat, dealParkign))
    fun getStatusList() = Observable.just(statusList.sortedBy{ it.orderId })

    companion object{


        val statusList = arrayListOf<StatusModel>(
            StatusModel(
                1,
                "Квартира забронирована за Вами. Скоро начнется подготовка договора",
                "Бронь"
            ),
            StatusModel(
                2,
                "Договор находится в процессе подготовки",
                "Подготовка договора"
            ),
            StatusModel(
                3,
                "Договор подготовлен и отправлен в офис продаж",
                "Договор подготовлен"
            ),
            StatusModel(
                4,
                "Договор находится в офисе продаж. Просим Вас приехать на подписание в назначенное время",
                "Договор готов к подписанию"
            ),
            StatusModel(
                5,
                "Договор передан на подписание Застройщику",
                "ДДУ подписан с покупателем"
            ),
            StatusModel(
                6,
                "Договор подписан Застройщиком",
                "Договор подписан"
            ),
            StatusModel(
                7,
                "Договор скоро будет отправлен в Росреестр",
                "Договор готовится для подачи на гос. регистрацию"
            ),
            StatusModel(
                8,
                "Договор передан в Росреестр для гос. регистрации",
                "Договор на регистрации"
            ),
            StatusModel(
                9,
                "Ваш договор успешно зарегистрирован в Росреестре",
                "Зарегистрирован"
            ),
            StatusModel(
                10,
                "Договор находится в офисе продаж. Вы можете забрать его в любое время",
                "Договор готов к выдаче"
            ),
            StatusModel(
                11,
                "Договор выдан",
                "Договор выдан"
            )
        )

        val dealParkign = DealModel(

            amount_pay_sum = 4535860,
            estate = EstateModel(
                albumId = 10,
                commonInfo = CommonInfoModel(
                    area = 55.4f,
                    area_living = 31.5f,
                    building = 1,
                    ceiling = 2.95f,
                    decoration = "\u0411\u0435\u0437 \u043e\u0442\u0434\u0435\u043b\u043a\u0438, \u0441\u0432\u043e\u0431\u043e\u0434\u043d\u0430\u044f \u043f\u043b\u0430\u043d\u0438\u0440\u043e\u0432\u043a\u0430",
                    dependent = null,
                    direction = "\u0441\u0435\u0432\u0435\u0440\u043e-\u0437\u0430\u043f\u0430\u0434,\u044e\u0433\u043e-\u0432\u043e\u0441\u0442\u043e\u043a",
                    discount = 5.0f,
                    discount_amount = 6925215,
                    floor = 10,
                    floor_max = 22,
                    kind = "2\u043a-2\u0440",
                    price = 7289700,
                    price_meter = 131583,
                    rooms = 2,
                    section_begin = 14,
                    windows_face = "\u0414\u0432\u043e\u0440 \u0438 \u0423\u043b\u0438\u0446\u0430"
                ),
//                explications = arrayListOf(ExplicationListModel(
//                    items = arrayListOf(
//                        ExplicationModel(
//                            area = 16.9f,
//                            living = true,
//                            stateTitle = "\u0413\u043e\u0441\u0442\u0438\u043d\u0430\u044f"
//                        ),ExplicationModel(
//                            area = 14.6f,
//                            living = true,
//                            stateTitle = "\u0421\u043f\u0430\u043b\u044c\u043d\u044f"
//                        ),ExplicationModel(
//                            area = 10.8f,
//                            living = false,
//                            stateTitle = "\u041a\u0443\u0445\u043d\u044f"
//                        ),ExplicationModel(
//                            area = 3.6f,
//                            living = false,
//                            stateTitle = "\u041a\u043e\u0440\u0438\u0434\u043e\u0440"
//                        ),ExplicationModel(
//                            area = 3.4f,
//                            living = false,
//                            stateTitle = "\u0421\u0430\u043d\u0443\u0437\u0435\u043b"
//                        ),ExplicationModel(
//                            area = 2.8f,
//                            living = false,
//                            stateTitle = "\u041f\u0440\u0438\u0445\u043e\u0436\u0430\u044f"
//                        ),ExplicationModel(
//                            area = 1.9f,
//                            living = false,
//                            stateTitle = "\u0421\u0430\u043d\u0443\u0437\u0435\u043b"
//                        ),ExplicationModel(
//                            area = 1.4f,
//                            living = false,
//                            stateTitle = "\u041b\u043e\u0434\u0436\u0438\u044f"
//                        )
//                    ),
//                    planId = 0
//                ),
//                    ExplicationListModel(
//                        items = arrayListOf(
//                            ExplicationModel(
//                                area = 16.2f,
//                                living = true,
//                                stateTitle = "\u0413\u043e\u0441\u0442\u0438\u043d\u0430\u044f"
//                            ),ExplicationModel(
//                                area = 13.7f,
//                                living = true,
//                                stateTitle = "\u0421\u043f\u0430\u043b\u044c\u043d\u044f"
//                            ),ExplicationModel(
//                                area = 10.2f,
//                                living = false,
//                                stateTitle = "\u041a\u0443\u0445\u043d\u044f"
//                            ),ExplicationModel(
//                                area = 4.3f,
//                                living = false,
//                                stateTitle = "\u041a\u043e\u0440\u0438\u0434\u043e\u0440"
//                            ),ExplicationModel(
//                                area = 4.2f,
//                                living = false,
//                                stateTitle = "\u041f\u0440\u0438\u0445\u043e\u0436\u0430\u044f"
//                            ),ExplicationModel(
//                                area = 4.1f,
//                                living = false,
//                                stateTitle = "\u0421\u0430\u043d\u0443\u0437\u0435\u043b"
//                            ),ExplicationModel(
//                                area = 1.4f,
//                                living = false,
//                                stateTitle = "\u041b\u043e\u0434\u0436\u0438\u044f"
//                            ),ExplicationModel(
//                                area = 1.3f,
//                                living = false,
//                                stateTitle = "\u0421\u0430\u043d\u0443\u0437\u0435\u043b"
//                            )
//                        ),
//                        planId = 1
//                    )
//                ),
                id = 75,
                multitourId = 4911,
                number = "1086",
                planJPG = PlanModel(
                    height = 549,
                    url = "/assets/estates/plan_jpg/00/00/00/75-9027cf.jpeg",
                    width = 1280
                ),
                planPNG = PlanModel(
                    height = 180,
                    url = "/assets/estates/plan_png/00/00/00/75-92ed97.png",
                    width = 420
                ),
                type = FlatType.valueOf("flat".toUpperCase()),
                url = "https://stage.room-park.ru:38386/choose/flat/1/14/1086/"
            ),
            estate_id = "1425",
            id = "4621213",
            managerName = "\u0411\u043e\u0441\u043e\u0432\u0430, \u0418\u0440\u0438\u043d\u0430",
            opportunitySum= 5035860,
            paymentSum= 500000,
            statusId = 10
        )

        val dealFlat = DealModel(
                amount_pay_sum = 5118160,
                estate = EstateModel(
                albumId= 10,
                commonInfo= CommonInfoModel(
                area = 61.2f,
                area_living = 30.3f,
                building = 1,
                ceiling = 2.95f,
                decoration = "Без отделки, свободная планировка",
                dependent = null,
                direction = "север,восток",
                discount = 5.0f,
                discount_amount = 7356325,
                floor = 10,
                floor_max = 15,
                kind = "2к-4л",
                price = 7743500,
                price_meter = 126527,
                rooms = 2,
                section_begin = 2,
                windows_face = "Двор"
                ),
//                    explications = arrayListOf(
//                    ExplicationListModel(
//                    items = arrayListOf(
//                        ExplicationModel(
//                        area = 15.8f,
//                        living = true,
//                        stateTitle = "Гостиная"
//                        ),ExplicationModel(
//                        area = 14.5f,
//                        living = true,
//                        stateTitle = "Спальня"
//                        ),ExplicationModel(
//                        area = 20.2f,
//                        living = false,
//                        stateTitle = "Кухня"
//                        ),ExplicationModel(
//                        area = 5.0f,
//                        living = false,
//                        stateTitle = "Прихожая"
//                        ),ExplicationModel(
//                        area = 4.1f,
//                        living = false,
//                        stateTitle = "Санузел"
//                        ),ExplicationModel(
//                        area = 1.6f,
//                        living = false,
//                        stateTitle = "Лоджия"
//                        )
//                    ),
//                    planId = 0
//                ),
//                    ExplicationListModel(
//                        items = arrayListOf(
//                            ExplicationModel(
//                        area = 15.5f,
//                        living = true,
//                        stateTitle = "Спальня"
//                                ),ExplicationModel(
//                        area = 14.5f,
//                        living = true,
//                        stateTitle = "Спальня"
//                                ),ExplicationModel(
//                        area = 20.2f,
//                        living = false,
//                        stateTitle = "Кухня-гостиная"
//                                ),ExplicationModel(
//                        area = 5.3f,
//                        living = false,
//                        stateTitle = "Прихожая"
//                                ),ExplicationModel(
//                        area = 4.1f,
//                        living = false,
//                        stateTitle = "Санузел"
//                                ),ExplicationModel(
//                        area = 1.6f,
//                        living = false,
//                        stateTitle = "Лоджия"
//                            )
//                        ),
//                    planId = 1
//                    )
//                ),
                id = 1201,
                multitourId = 6500,
                number = "88",
                planJPG = PlanModel(
                height = 720,
                url = "/assets/estates/plan_jpg/00/00/04/1201-52d64f.jpeg",
                width = 785
                ),
                planPNG = PlanModel(
                height = 292,
                url = "/assets/estates/plan_png/00/00/04/1201-91169f.png",
                width = 318
                ),
                type =FlatType.valueOf("flat".toUpperCase()),
                url = "https://stage.room-park.ru:38386/choose/flat/1/2/88/"
                ),
                estate_id = "1231",
                id = "42342342",
                managerName = "Босова, Ирина",
                opportunitySum = 5618160,
                paymentSum = 500000,
                statusId = 10
            )
    }
}