package com.biganto.visual.roompark.domain.use_case

import com.biganto.visual.roompark.data.data_provider.AuthContractModule
import com.biganto.visual.roompark.domain.contract.FilesContract
import io.reactivex.Observable
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

class SettingsUseCase @Inject constructor(
    private val authContract: AuthContractModule,
    private val fileContract: FilesContract

){
    fun signOut() = authContract.signOut()

    val planTypesSize
            get() = Observable.just(fileContract.getPlansSize())

    val albumsSize
        get() = Observable.just(fileContract.getAlbumSize())

    val feedsSize
        get() = Observable.just(fileContract.getFeedSize())

    val toursSize
        get() = Observable.just(fileContract.getToursSize())

    val overallSize
        get() = Observable.just(fileContract.allCacheSize())

}