package com.biganto.visual.roompark.presentation.screen.feeds

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.domain.model.AlbumPreviewModel
import com.biganto.visual.roompark.domain.model.ArticlePreviewModel
import com.biganto.visual.roompark.domain.model.FeedModel
import com.biganto.visual.roompark.domain.model.WebCamModel
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class FeedsScreenViewState : BigantoBaseViewState() {
    class Idle : FeedsScreenViewState()
    class FeedsPages(val items:List<FeedModel>) : FeedsScreenViewState()
    class AlbumsPages(val items:List<AlbumPreviewModel>) : FeedsScreenViewState()
    class CamsList(val items:List<WebCamModel>) : FeedsScreenViewState()

    class GetFeedArticlesPreview(val items:List<ArticlePreviewModel>) : FeedsScreenViewState()
    class ArticlesScrollPage(val items:List<ArticlePreviewModel>) : FeedsScreenViewState()

    class RestoreView(val restore:RestoreModel) : FeedsScreenViewState()

    class SomeError(val exception: ExceptionString) : FeedsScreenViewState()

    class ToArticlesScreen(val feedAlias:String) : FeedsScreenViewState()

    class ToArticle(val articleId:Int) : FeedsScreenViewState()

    class ToAlbum(val albumId:Int) : FeedsScreenViewState()

    class ToWebCam(val camId:Int) : FeedsScreenViewState()
}

data class RestoreModel(
    var feeds:List<FeedModel>,
    var albums:List<AlbumPreviewModel>,
    var cams:List<WebCamModel>,
    var articles:List<ArticlePreviewModel>
)