package com.biganto.visual.roompark.presentation.screen.settings

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.domain.model.SettingsModel
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class SettingsScreenViewState : BigantoBaseViewState() {
    class Idle : SettingsScreenViewState()
    class LoadSettingsList(val settings:SettingsModel) : SettingsScreenViewState()
//    class LoadCachedInfo(val cached:SettingsModel) : SettingsScreenViewState()
    class SomeError(val exception: ExceptionString) : SettingsScreenViewState()
    class SignOut() : SettingsScreenViewState()
}